Forums
Using Neptune's Plasma repos (PUBKEY error) - Printable Version

+- Forums (https://www.zevenos.com/forum)
+-- Forum: General (/forumdisplay.php?fid=1)
+--- Forum: Neptune (/forumdisplay.php?fid=21)
+--- Thread: Using Neptune's Plasma repos (PUBKEY error) (/showthread.php?tid=17437)



Using Neptune's Plasma repos (PUBKEY error) - feskyde - 03-31-2016 03:33 AM

Hi, I'm trying to install Plasma 5.6 throught Neptune's Plasma repository on a SID base, but I'm getting a PUBKEY error...

How I can fix this?


RE: Using Neptune's Plasma repos (PUBKEY error) - leszek - 03-31-2016 08:00 PM

You are missing the neptune keyring. You can get it like this:
Code:
wget http://www.zevenos.com/packages/neptune/gpg.key ; sudo apt-key add gpg.key

Please also be aware that we are using the unstable/sid codename in our plasma5/kf5/qt5 repos however the packages aren't build against Debian Sid but against our Neptune base system. This means we did not test and are not sure if those plasma packages are compatible with Debian Sid.
We encourage users to try out our own ISO instead. (You can get it from the download page where we also offer [since today] a Plasma 5.6 ISO image)


RE: Using Neptune's Plasma repos (PUBKEY error) - feskyde - 04-02-2016 02:46 AM

(03-31-2016 08:00 PM)leszek Wrote:  You are missing the neptune keyring. You can get it like this:
Code:
wget http://www.zevenos.com/packages/neptune/gpg.key ; sudo apt-key add gpg.key

Please also be aware that we are using the unstable/sid codename in our plasma5/kf5/qt5 repos however the packages aren't build against Debian Sid but against our Neptune base system. This means we did not test and are not sure if those plasma packages are compatible with Debian Sid.
We encourage users to try out our own ISO instead. (You can get it from the download page where we also offer [since today] a Plasma 5.6 ISO image)

Thanks leszek, I'm will try to install in a SID base because Wheezy is "a bit" old and in Neptune sources.list file the Debian Testing/SID repository are available (commented, but listed) Blush.


RE: Using Neptune's Plasma repos (PUBKEY error) - leszek - 04-04-2016 01:36 PM

Quote:Thanks leszek, I'm will try to install in a SID base because Wheezy is "a bit" old and in Neptune sources.list file the Debian Testing/SID repository are available (commented, but listed)
If it fails. Please try our Plasma 5.6 ISO then. Despite the wheezy name we are almost on par with Testing/Sid in terms of base system (newer systemd, newer gcc, newer libc and so on).
Its just that Neptune started from Wheezy as base and kept on rolling through the years with software updates and backports so that we can provide a stable base for our users that isn't creepy old.